Status: Closed Priority: Normal
Author: Hiroto Kagotani Category: LaTeX
Description: I would like to draw something in advance in open question frames, for example, axes for mathematical 

graphs, tables to be filled in, etc.

History
06/04/2012 08:58 am - Pieter  Van den Hombergh
Hiroto Kagotani wrote:
> I would like to draw something in advance in open question frames, for example, axes for mathematical graphs, tables to be filled in, etc.

Maybe this can be realised with something like a "\newif" construct.
In my pre-AMC times I used something like that to distinguish between the exam redering and the solution redering.
In the exam rendering the construct placed the figure/table to be filled in and in the solution rendering the complete figure/table.

In general a \ifAMCAnswers or something like that is useful. 
Then all above can be done like this:
...

\begin{figure}
\ifAMCAnswers{\includegraphics{.../exercise6-sol.pdf}}{\includegraphics{.../exercise6.pdf}}
\end{figure}

06/04/2012 10:40 am - Alexis Bienvenüe
- Target version set to 1.2.0

06/04/2012 01:26 pm - Alexis Bienvenüe
- Status changed from New to Feedback

From revision r1099, you can use the contentcommand option to AMCOpen. For example (with @\usepackage{tikz}@):
<pre>
\newcommand\onegrid{\begin{tikzpicture}\draw[step=0.5cm] (-3,-3) grid (5,5);\end{tikzpicture}}

\element{group}{
  \begin{questionmultx}{drawing}
    Draw something on this grid.
    \AMCOpen{contentcommand=onegrid}{\wrongchoice[F]{f}\scoring{0}\correctchoice[J]{j}\scoring{2}}
  \end{questionmultx}
}
</pre>

10/23/2012 03:06 pm - Mar Marcos

Hello,

I get the following message when I try to use this option: Package xkeyval Error: `contentcommand' undefined in families `AMCOpen'. 
My AMC version is Auto Multiple Choice 1.1.1 (svn:1104).

Any hint?

Thanks in advance!

mar
~~~~

 
Alexis Bienvenüe wrote:
> From revision r1099, you can use the contentcommand option to AMCOpen. For example (with @\usepackage{tikz}@):
> [...]

10/23/2012 08:49 pm - Alexis Bienvenüe
> My AMC version is Auto Multiple Choice 1.1.1 (svn:1104).

You have to upgrade to AMC version 1.1.1099 or newer (revision 1104 from AMC 1.1.1 is newer than 1099 but concerns the 1.1 branch, so the new 
@contentcommand@ option for @AMCOpen@ is not available in AMC 1.1.1).

12/18/2012 05:52 pm - Alexis Bienvenüe
- % Done changed from 0 to 100

- Status changed from Feedback to Closed
